<div class="row">
    <div class="col-sm-9">
        <table class="table table-bordered">
            <colgroup>
                <col>
                <col>
                <col>
                <col>
            </colgroup>
            <thead>
                <tr>
                    <th><b>UPC Code</b></th>
                    <th><b>Device Type</b></th>
                    <th><b>Map to</b></th>
                    <th id="expandablefield2"></th>
                </tr>
            </thead>
            <tbody *ngFor="let row of reviewData">
                <tr>
                    <td>
                        <label><input type="radio" id='express' [(ngModel)]="selectedUpc" [value]="row.upc_code"
                                name="optradio">{{ row.upc_code }}</label>
                    </td>
                    <td>
                        {{ row.device_type }}
                    </td>
                    <td>
                        {{ row.mapped_upc_code }}
                    </td>
                    <td href="">
                        Help
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <div class="col-sm-3">
        <span>Select UPC to Map</span>
        <select class="form-control" name="" style="width: 80%;" id="toMapUpc" [(ngModel)]="mappedUpc"
            (change)="updateLabel($event);">
            <option value="" disabled selected>Select an option</option>
            <option *ngFor="let row of allUpcValues" data-value="{{row.upc_code}}"
                value="{{row.description}} || {{row.upc_code}}">{{ row.upc_code }}</option>
        </select><br>
        <span id="upcLabel"></span><br>
        <button class="btn btn-success" (click)="mapUpc()">Map</button>
    </div>
</div>